// -*- c++ -*-
#ifndef _SERVER_H
#define _SERVER_H

#include "defs.h"

#include "MsgQ.h"

// player 0 calls this to initialize the server
// will create a socket on which the other players can connect
// to us
void InitServer(int port = DefaultConnectPort);

// connect to the server
void ConnectServer(char *server, int port = DefaultConnectPort);

// read handler for connection with players
void ServerGotData(MsgQ *q, int sock, int playerId);

#endif
